<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<MengmaCodeHelper>
  <update>2013-06-24</update>
  <templatelist>
    <template language="ASP" file="TemplateASP.dll" name="ASP三层标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[ASP三层标准版,系统分层:MODEL,BLL,DAL,Web,DAL层使用SQL参数形式,可以修改使用存储过程
支持数据库:Access,mssql2000,2005,2008
      ]]>
    </template>
    <template language="ASP" file="TemplateASPBase.dll" name="ASP单层基础版" ver="2.0" author="ycsk.net" date="2013-08-12" demo="http://www.ycsk.net/">
      <![CDATA[ASP单层基础版,表单页面,翻页列表页面,使用SQL参数命令,支持数据库:Access,mssql2000,2005,2008
      ]]>
    </template>
    <template language="C++" file="TemplateCppMFC.dll" name="MFC三层标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[MFC三层标准版 三层架构标准版项目由实体层Model,抽象类接口层IDAL,数据操作层DAL组成,
<br/>DAL层采用SQL参数形式, 新增记录后自动返回自动编号
<br/>支持数据库:mssql2000,2005,2008(注意：表结构设计第一个主键必须是自动编号列)      
      ]]>
    </template>
    <template language="C++" file="TemplateCppBase.dll" name="C++标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[纯C++代码,win32控制台项目,目前只能生成实体Model和结构体
      ]]>
    </template>
    <template language="C#" file="TemplateWebFormAspNetBase.dll" name="WebForm_三层架构AspNet经典版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/" tag="推荐">
      <![CDATA[经典的三层架构:Model,BLL,DAL,WebForm
<br/>BLL、DAL层使用Model、DataSet封装数据,数据存取使用动软封装的DbHelperSQL库,Webform列表页面使用Repeater和AspNetPager展示示数据。
<br/>使用mssql2000,2005,2008数据库，DAL层存取数据都使SQL参数（强烈建议表结构设计第一个主键为自动编号字段
<br/>源码使用环境:可生成vs2008和vs2010项目
      ]]>
    </template>
    <template language="C#" file="TemplateWebFormAspNet.dll" name="WebForm_三层架构AspNet标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[经典的三层架构:Model,BLL,DAL,WebForm
<br/>BLL、DAL层使用Model、IList封装数据,Webform列表页面使用Repeater和AspNetPager展示示数据。
<br/>使用mssql2000,2005,2008数据库，DAL层存取数据都使SQL参数（注意：表结构设计第一个主键必须是自动编号列\
<br/>源码使用环境:可生成vs2008和vs2010项目
      ]]>
    </template>
    <template language="C#" file="TemplateDsGridView.dll" name="Winform三层DataSet_GridView标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/" tag="推荐">
      <![CDATA[Winform三层DataSet&GridView标准版 三层:BLL,DAL,Winform
<br/>DAL层使用DataSet,DataTable封装和保存数据,保存数据时可选用事务处理,
<br/>Winform层使用DataGridView显示数据。使用mssql2000,2005,2008数据库(注意：表结构设计第一个主键必须是自动编号列)
      ]]>
    </template>
    <template language="C#" file="TemplateDsUltraGrid.dll" name="Winform三层DataSet_UltraGrid标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[Winform三层DataSet&UltraGrid标准版 三层:BLL,DAL,Winform
<br/>DAL层使用DataSet,DataTable封装和保存数据,保存数据时可选用事务处理,
<br/>Winform层使用UltraGrid显示数据。使用mssql2000,2005,2008数据库(注意：表结构设计第一个主键必须是自动编号列)
      ]]>
    </template>
    <template language="C#" file="TemplateIlistGridView.dll" name="Winform三层IList_GridView标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[Winform三层IList&GridView标准版 三层:BLL,DAL,Winform,存储过程
<br/>BLL、DAL层使用Model、IList封装数据,Winform层使用DataGridView显示数据。
<br/>使用mssql2000,2005,2008数据库，DAL层存取数据都使用存储过程(注意：表结构设计第一个主键必须是自动编号列)
      ]]>
    </template>
    <template language="C#" file="TemplateMiniDsGridView.dll" name="Winform三层DataSet_GridView精简版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[Winform三层DataSet&GridView精简版 只有一个Winform项目,使用DataGridView展示数据列表，
     <br/>所有表共用一个BLL类和共用一个DAL类，DataSet,DataTable封装和保存数据,
     <br/>保存数据时可选用事务处理,Winform层使用DataGridView显示数据。使用mssql2000,2005,2008数据库
      ]]>
    </template>
    <template language="C#" file="TemplateJQueryMiniUIEF4.dll" name="WebForm_JQuery_MiniUI_EF4标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/" tag="推荐">
      <![CDATA[web系统,界面使用普加JQuery MiniUI V2.0,EF4.1
      <br/>系统分层:MODEL,BLL,DAL,IDAL,DALFactory,Web
      <br/>支持数据库:mssql2000,2005,2008
      <br/>注意：不支持联合主键，有联合主键的表请勿选进项目中。
      <br/>在演示项目中有联合主键的表是没有被使用的,如订单明细表[Order Details]有联合主键OrderID,ProductID
      <br/>另外特殊的是雇员表Employees有个上级字段ReportsTo，指向自身的主键EmployeeID，这里代码生成器不能正确处理，在演示项目中去掉了这个关系。
      ]]>
    </template>
    <template language="C#" file="TemplateMiniUIEF4Mammonth.dll" name="WebForm_MiniUI_EF4企业版" ver="2.0" author="ycsk.net" date="2014-10-21" demo="http://www.ycsk.net/" tag="推荐">
      <![CDATA[web系统,界面使用普加JQuery MiniUI V2.0,EF4.1
      <br/>系统分层:MODEL,BLL,DAL,IDAL,DALFactory,Web
      <br/>支持数据库:2005,2008 
      ]]>
    </template>
    <template language="C#" file="TemplateSL5EF4RIA.dll" name="Silverght5_EF4_WCF_RIA标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[Silverght5,EF4.1,WCF RIA,代码优先CodeFrist
<br/>系统分层:MODEL,BLL,DAL,IDAL,DALFactory,UI+Web
<br/>支持数据库:mssql2000,2005,2008
      ]]>
    </template>
    <template language="PHP" file="TemplatePHP.dll" name="PHP三层标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[PHP三层标准版,PHP5.0以上,分层情况：Model+BLL+IDAL+DAL+WebUI。
<br/>__autoload 加载所需的类。IDAL层是业务接口,DAL层实现接口,使用mysqli扩展库,
<br/>SQL参数命令操作数据。WebUI 实现数据列表显示、新增、修改及删除。
<br/>支持数据库:MYSQL
      ]]>
    </template>

    <template language="JAVA" file="TemplateJ2eeStruts.dll" name="Jave_Web_Struts1标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[JaveStruts应用程序模板,JSP+Ajax+Struts1+Hibernate,演示实现列表显示，增删改常规操作。
<br/>支持数据库:MySQL,数据类型请使用常用的类型，必须要名为id自增字段做主键。
<br/>源码运行环境：MyEclipse 5.5.1 GA + Tomcat 5.5 + MySQL 5.0
      ]]>
    </template>
    <template language="JAVA" file="TemplateAndroid.dll" name="Android_SQLite标准版" ver="2.0" author="ycsk.net" date="2013-06-24" demo="http://www.ycsk.net/">
      <![CDATA[Android应用程序模板,系统分层:MODEL,BLL,IDAL,DAL,Android,DAL层使用SQL参数形式,
<br/>演示实现对SQLite数据库的列表显示，增删改常规操作。
<br/>支持数据库:SQLite,数据类型请使用常用的类型，一个表的字段数量不要太多,务必自动增长列为主键。
<br/>运行时注意将数据库文件导入sd卡。
      ]]>
    </template>
  </templatelist>
</MengmaCodeHelper>